Create dictionary-entries
curl --request POST \
--url https://wisepim.com/api/public/v1/dictionary-entries \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"source_term": "<string>"
}
'import requests
url = "https://wisepim.com/api/public/v1/dictionary-entries"
payload = { "source_term": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({source_term: '<string>'})
};
fetch('https://wisepim.com/api/public/v1/dictionary-entries', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"source_term": "<string>",
"do_not_translate": true,
"translations": "<unknown>",
"context": "<string>",
"categories": [
123
],
"id": 123
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>",
"detail": [
{}
]
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}Create dictionary-entries
POST /dictionary-entries. Required scopes: dictionary-entries:write.
POST
/
api
/
public
/
v1
/
dictionary-entries
Create dictionary-entries
curl --request POST \
--url https://wisepim.com/api/public/v1/dictionary-entries \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"source_term": "<string>"
}
'import requests
url = "https://wisepim.com/api/public/v1/dictionary-entries"
payload = { "source_term": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({source_term: '<string>'})
};
fetch('https://wisepim.com/api/public/v1/dictionary-entries', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"source_term": "<string>",
"do_not_translate": true,
"translations": "<unknown>",
"context": "<string>",
"categories": [
123
],
"id": 123
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>",
"detail": [
{}
]
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}Authorizations
Use a project API key from Settings > API Access. Send it as Authorization: Bearer wpk_.... See authentication and scopes for setup and permissions.
Headers
Reuse this key for retries of the same write. Scoped to this API key; retained until key deletion. Different requests with the same key return 409.
Required string length:
1 - 128Pattern:
^[!-~]+$Body
application/json
Maximum string length:
255Mapping of locale code → translated term. Empty when do_not_translate=True.
Show child attributes
Show child attributes
Maximum string length:
100000If set, the entry only applies to products in any of these categories. Empty = applies to every product.
Maximum array length:
500Response
Created
Maximum string length:
255Mapping of locale code → translated term. Empty when do_not_translate=True.
If set, the entry only applies to products in any of these categories. Empty = applies to every product.

